$JOB s5.1.3Inst

;***	s5.1.3 installation.

;***	Messages

ErrorMsg = 'Cannot access message file'

InitErc = InitMsgFile(MsgFile)
$IF InitErc > 0
	DisplayLine(ErrorMsg)
	Cancel
$ENDIF

MsgNo  = GetMsg(1)
MsgYes = GetMsg(2)

;***	Install params

FromServer = 2

ServerDir    = '[sys]<CMSpecials>'
ServerSpec   = '[sys]<CMSpecials>s5.1.3>'
ArchiveSpec  = $ConcatStrings(DeviceFrom, '<CTOS>')
TargetSpec   = $ConcatStrings(VolumeTo, '<Sys>')

$IF (InstallType = FromServer)
	FromSpec = ServerSpec
$ELSE
	FromSpec = ArchiveSpec
$ENDIF

Msg = GetMsg(3)
$DISPLAYLINE
$DISPLAYLINE(Msg)

$COMMAND LCopy, 
	(CmInstall, CmNull, CmInvoker), 
	FromSpec, 
	TargetSpec, 
	(.Run), 
	MsgYes, MsgNo, MsgNo, MsgYes

Msg = GetMsg(4)
$DISPLAYLINE
$DISPLAYLINE(Msg)

$RestartLabel
$IF (Public)
	Msg = GetMsg(5)
	$DISPLAYLINE
	$DISPLAYLINE(Msg)
	$ContinueOnError
	$COMMAND 'Create Directory', ServerDir, , 500
	$CancelOnError
	$COMMAND LCopy, 
		(CmInstall, CmNull, CmInvoker), 
		TargetSpec, 
		ServerSpec, 
		.Run, 
		MsgYes, MsgNo, MsgNo, MsgYes
$ENDIF

Msg = GetMsg(6)
$DISPLAYLINE
$DISPLAYLINE(Msg)

$END
