****************************** INCLUDE HEADER (.H)***************************
*                                                                           *
* INCLUDE FILE: Name.h                                                      *
*                                                                           *
* MACHINE: B20        LANGUAGE: METAWARE C V1.0  OS: BTOS                   *
*                                                                           *
* DESCRIPTION: Header for example functions.                                *
*                                                                           *
* HISTORY:                                                                  *
*                                                                           *
* MMDDYY VVVVMM PROGRAMMER    DESCRIPTION OF CHANGE (Most recent first) *
*                                                                           *
* 120389 120E01 S. Emmons     Changed C typing to CTOSbased typing.    *
*                                                                           *
*                                                                           *
* TITLE:  BTOS SYSTEM SOFTWARE                                              *
*                                                                           *
*            PROPRIETARY PROGRAM MATERIAL                                   *
*                                                                           *
* THIS MATERIAL IS PROPRIETARY TO UNISYS CORPORATION AND IS NOT TO BE       *
* REPRODUCED, USED OR DISCLOSED EXCEPT IN ACCORDANCE WITH PROGRAM LICENSE   *
* OR UPON WRITTEN AUTHORIZATION OF THE PATENT DIVISION OF UNISYS            *
* CORPORATION, DETROIT, MICHIGAN 48232, USA.                                *
*                                                                           *
*                                                                           *
* COPYRIGHT (C) 1980, 1989 CONVERGENT INCORPROATED. ALL RIGHTS RESERVED     *
* COPYRIGHT (C) 1980, 1989 UNISYS CORPORATION. ALL RIGHTS RESERVED          *
* ************************************************************************* *
*                                                                           *
* UNISYS BELIEVES THAT THE SOFTWARE FURNISHED HEREWITH IS ACCURATE AND      *
* RELIABLE, AND MUCH CARE HAS BEEN TAKEN IN ITS PREPARATION.  HOWEVER,      *
* NO RESPONSIBILITY, FINANCIAL OR OTHERWISE, CAN BE ACCEPTED FOR ANY        *
* CONSEQUENCES ARISING OUT OF THE USE OF THIS MATERIAL, INCLUDING LOSS OF   *
* PROFIT, INDIRECT, SPECIAL, OR CONSEQUENTIAL DAMAGES, THERE ARE NO         *
* WARRANTIES WHICH EXTEND BEYOND THE PROGRAM SPECIFICATION.                 *
*                                                                           *
* THE CUSTOMER SHOULD EXERCISE CARE TO ASSURE THAT USE OF THE SOFTWARE      *
* WILL BE IN FULL COMPLIANCE WITH LAWS, RULES AND REGULATIONS OF THE        *
* JURISDICTIONS WITH RESPECT TO WHICH IT IS USED.                           *
*                                                                           *
*                                                                           *
*************************** END OF MODULE HEADER ****************************
pragma Off(List);
c_include <ctosTypes.h>
pragma Calling_convention(CTOS_CALLING_CONVENTIONS);

if defined(AbortExample) || defined(All)
undef AbortExample
extern ErcType AbortExample (Word wErc);
endif

if defined(ChangeUserNumExample) || defined(All)
undef ChangeUserNumExample
extern ErcType ChangeUserNumExample (Word wOldUserNum);
endif

if defined(DeinstallExample) || defined(All)
undef DeinstallExample
extern ErcType DeinstallExample (Word *pPhRet);
endif

if defined(StartRecord) || defined(All)
undef StartRecord
extern ErcType StartRecord (void);
endif

if defined(StopRecord) || defined(All)
undef StopRecord
extern ErcType StopRecord (void);
endif

if defined(SwapExample) || defined(All)
undef SwapExample
extern ErcType SwapExample (Word wErc);
endif

if defined(TerminateExample) || defined(All)
undef TerminateExample
extern ErcType TerminateExample (Word wErc);
endif

undef All
pragma Calling_convention();
pragma Pop(List);                     