SaveVidLevel = VideoLevel
EchoOff

; pDebugger>Install.jcl
; Install the Protectedmode Debugger subpackage

; Except for yesno strings  'First disk message' the following is the only 
; nationalizable string in this file.

FromFloppy   = 0
FromServer   = 2
TotalNoise   = 0
TotalSilence = 2
FloppyType   = 0
Floppy5Qtr   = 1
Floppy3Half  = 4
Flpy3HalfLo  = 3

NotFound     = 65535
ClearScreen  = 'PF'
If SaveVidLevel = TotalNoise
   Display(ClearScreen)
EndIf

If InstallType = FromFloppy
   FloppyType   = DeviceType(DeviceFrom)
EndIf

; The following message is nationalizable
If FloppyType = Floppy5Qtr
   FirstDisk    = 'Protected Mode OS Diskette 4 of 4 (B25P344)'
Else
   If FloppyType = Floppy3Half OR FloppyType = Flpy3HalfLo
      FirstDisk    = 'Protected Mode OS Diskette 2 of 2 (B25P342)'
   EndIf
EndIf

ToSpec       = ConcatStrings(VolumeTo, DirectoryTo)
FloppySpec   = ConcatStrings(DeviceFrom, '<CTOS>Debugger3.3.sys')
DbgFileSpec  = ConcatStrings(DeviceFrom, '<DebugFile>*')

If InstallType = FromFloppy
   NextFloppy(FirstDisk)
EndIf

If SaveVidLevel = TotalNoise
   EchoSome
EndIf
DisplayLine
Command Merge Command Files ,
           CmdFileFrom      ,
           CmdFileTo        ,
           Yes              ,
           VolumeTo
DisplayLine
If InstallType = FromServer
   Command LCopy                                  ,
                                                  ,
              @[Scr]<$>InstallOverwriteOkFrom.fls ,
              @[Scr]<$>InstallOverwriteOkTo.fls   ,
                                                  ,
              Yes                                 ,
              No                                  ,
              No                                  
Else
   Command LCopy         ,
              FloppySpec ,
                         ,
              ToSpec     ,
                         ,
              Yes        ,
              No         ,
              No         
   DisplayLine
   Command LCopy          ,
              DbgFileSpec ,
                          ,
              ToSpec      ,
                          ,
              Yes         ,
              No          ,
              No          
EndIf
If SaveVidLevel = TotalNoise
   EchoOff
EndIf

EndIt:

End
