000010 IDENTIFICATION DIVISION.
000020 PROGRAMID. STOCK1.
000030 AUTHOR. MICRO FOCUS LTD.
000040 ENVIRONMENT DIVISION.
000050 CONFIGURATION SECTION.
000060 SOURCECOMPUTER. MDS800.
000070 OBJECTCOMPUTER. MDS800.
000075 SPECIALNAMES. CONSOLE IS CRT.
000080 INPUTOUTPUT SECTION.
000090 FILECONTROL.
000100     SELECT STOCKFILE ASSIGN STOCK.IT
000110     ORGANIZATION INDEXED
000120     ACCESS DYNAMIC
000130     RECORD KEY STOCKCODE.
000140 DATA DIVISION.
000150 FILE SECTION.
000160 FD  STOCKFILE; RECORD 32.
000170 01  STOCKITEM.
000180     02  STOCKCODE PIC X(4).
000190     02  PRODUCTDESC PIC X(24).
000200     02  UNITSIZE PIC 9(4).
000210 WORKINGSTORAGE SECTION.
000220 01  SCREENHEADINGS.
000230     02  ASKCODE PIC X(21) VALUE STOCK CODE     <    >.
000240     02  FILLER PIC X(59).
000250     02  ASKDESC PIC X(16) VALUE DESCRIPTION    <.
000260     02  SIDESC PIC X(25) VALUE                         >.
000270     02  FILLER PIC X(39).
000280     02  ASKSIZE PIC X(21) VALUE UNIT SIZE      <    >.
000290  01  ENTERIT REDEFINES SCREENHEADINGS.
000300     02  FILLER PIC X(16).
000310     02  CRTSTOCKCODE PIC X(4).
000320     02  FILLER PIC X(76).
000330     02  CRTPRODDESC PIC X(24).
000340     02  FILLER PIC X(56).
000350     02  CRTUNITSIZE PIC 9(4).
000360     02  FILLER PIC X.
000370 PROCEDURE DIVISION.
000380 SR1.
000390     DISPLAY SPACE.
000400     OPEN IO STOCKFILE.
000410     DISPLAY SCREENHEADINGS.
000420 NORMALINPUT.
000430     MOVE SPACE TO ENTERIT.
000440     DISPLAY ENTERIT.
000450 CORRECTERROR.
000460     ACCEPT ENTERIT.
000470     IF CRTSTOCKCODE = SPACE GO TO ENDIT.
000480     IF CRTUNITSIZE NOT NUMERIC GO TO CORRECTERROR.
000490     MOVE CRTPRODDESC TO PRODUCTDESC.
000500     MOVE CRTUNITSIZE TO UNITSIZE.
000510     MOVE CRTSTOCKCODE TO STOCKCODE.
000520     WRITE STOCKITEM; INVALID GO TO CORRECTERROR.
000530     GO TO NORMALINPUT.
000540 ENDIT.
000550     CLOSE STOCKFILE.
000560     DISPLAY SPACE.
000570     DISPLAY END OF PROGRAM.
000580     STOP RUN.
LOSEALL EXTFHBUF y[;ZY:nu:NunTQRSS^[t.OFPSQS.
.D.TxnPnT^..T.|^.LSVQV
xnPnT^.F:s2.8$u.d2[t.OFPSQS..T
tnPnTH^.;s.<H^.;s.d
30Os
d3
00r13
00r
00r
2
00	EXTFH    Fh> 