$TITLE('FMRGTD V060AM01 === 032787')

NAME FMRGTD

DATA     SEGMENT WORD PUBLIC 'DATA'
VERSION_MODULE  DB      '060A01'
DATA     ENDS

;******************************* MODULE HEADER *******************************;
;*									     *;
;*									     *;
;* MACHINE: B20		LANGUAGE: ASSEMBLER  OS: BTOS			     *;
;*									     *;
;* DESCRIPTION:								     *;
;*									     *;
;*	Module FMRGTD.ASM						     *;
;*									     *;
;*									     *;
;* HISTORY:								     *;
;*									     *;
;* 032787 060A01 M.Jungwirth   Module header BURROUGHS changed to UNISYS.*;
;*									     *;
;* 012486 050C01 B.Webber      Module header added                       *;
;*									     *;
;*									     *;
;*									     *;
;* TITLE:  B20 SYSTEM SOFTWARE						     *;
;*									     *;
;*									     *;
;* COPYRIGHT (C) 1980 CONVERGENT TECHNOLOGIES, INC. ALL RIGHTS RESERVED      *;
;* COPYRIGHT (C) 1987 UNISYS CORPORATION		                     *;
;* ************************************************************************* *;
;*									     *;
;* UNISYS BELIEVES THAT THE SOFTWARE FURNISHED HEREWITH IS ACCURATE AND      *;
;* RELIABLE, AND MUCH CARE HAS BEEN TAKEN IN ITS PREPARATION.  HOWEVER,      *;
;* NO RESPONSIBILITY, FINANCIAL OR OTHERWISE, CAN BE ACCEPTED FOR ANY        *;
;* CONSEQUENCES ARISING OUT OF THE USE OF THIS MATERIAL, INCLUDING LOSS OF   *;
;* PROFIT, INDIRECT, SPECIAL, OR CONSEQUENTIAL DAMAGES, THERE ARE NO         *;
;* WARRANTIES WHICH EXTEND BEYOND THE PROGRAM SPECIFICATION.		     *;
;*									     *;
;* THE CUSTOMER SHOULD EXERCISE CARE TO ASSURE THAT USE OF THE SOFTWARE      *;
;* WILL BE IN FULL COMPLIANCE WITH LAWS, RULES AND REGULATIONS OF THE        *;
;* JURISDICTIONS WITH RESPECT TO WHICH IT IS USED.			     *;
;*									     *;
;*									     *;
;*************************** END OF MODULE HEADER ****************************;
DGroup group Const
assume ds: DGroup

Const segment word public 'Const'

*define (DefineType(typecode, EncodeProc, DecodeProc))
(	db len(typecode), 'typecode'
	dd EncodeProc
	dd DecodeProc
Const ends
	extrn EncodeProc: far, DecodeProc: far
Const segment
)

public rgtdForm
rgtdForm label byte
	DefineType(Binary, EncodeBinary, DecodeBinary)
	DefineType(Character, EncodeChar, DecodeChar)
	DefineType(Flag, EncodeFlag, DecodeFlag)
	db 0

Const ends

end
